package com.example.game;

import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnTouchListener;
import android.widget.Button;


/**
 * Clase utilizada para cambiar el aspecto del botn "acelerar" cuando se pulsa. Al pulsarlo cambia su imagen de fondo, 
 * y cuando finalizamos la pulsacin la vuelve a cambiar por la imagen original.
 *
 *
 * @author Antonio Javier Garrido Rodrguez
 * Copyright 2014 Antonio Javier Garrido Rodrguez
 * 
 *  This file is part of Kamikawa.

    Kamikawa is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    v is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kamikawa.  If not, see <http://www.gnu.org/licenses/>.
 */
public class ButtonHighlighterOnTouchListener implements OnTouchListener 
{

	final Button imageButton;

	public ButtonHighlighterOnTouchListener(final Button imageButton) 
	{
		super();
		this.imageButton = imageButton;
	}

	public boolean onTouch(final View view, final MotionEvent motionEvent) 
	{
		//Cuando pulsamos el control
		if (motionEvent.getAction() == MotionEvent.ACTION_DOWN) 
		{
			imageButton.setBackgroundResource(R.drawable.button_accelerate_pressed);
		} 
		//Caundo finalizamos la pulsacin
		else if (motionEvent.getAction() == MotionEvent.ACTION_UP) 
		{
			imageButton.setBackgroundResource(R.drawable.button_accelerate);
		}
		
		return false;
		
	}

}
