package com.example.game;

/**
 * Clase utilizada para almacenar los datos referentes a una colisin entre dos agentes concretos.
 *
 * @author Antonio Javier Garrido Rodrguez
 * Copyright 2014 Antonio Javier Garrido Rodrguez
 * 
 *  This file is part of Kamikawa.

    Kamikawa is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Kamikawa is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kamikawa.  If not, see <http://www.gnu.org/licenses/>.
 */
public class DataCollision {
	
	//Posicin dentro de la lista de agentes del agente tomado como principal
	private int _positionMain;
	//Posicin dentro de la lista de agentes del agente tomado como secundario
	private int _positionSecondary;
	//Instante cuando se produce la colisin
	private long _timeCollision;
	
    
	public DataCollision(int posMain, int posSecondary, long timeCollision)
	{
		_positionMain = posMain;
		_positionSecondary = posSecondary;
		_timeCollision = timeCollision;	
	}
	
	public int getPositionMain() {
        return _positionMain;
    }

    public void setPositionMain(int positionMain) {
    	_positionMain = positionMain;
    }
    
	public int getPositionSecondary() {
        return _positionSecondary;
    }

    public void setPositionSecondary(int positionSecondary) {
    	_positionSecondary = positionSecondary;
    }
 
	public long getTimeCollision() {
        return _timeCollision;
    }

    public void setTimeCollision(long timeCollision) {
    	_timeCollision = timeCollision;
    }
}
