package com.example.game;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

/**
 * Mustra informacin sobre el juego: nombre, versin y tipo de licencia.
 *
 * @author Antonio Javier Garrido Rodrguez
 * Copyright 2014 Antonio Javier Garrido Rodrguez
 * 
 *  This file is part of Kamikawa.

    Kamikawa is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Kamikawa is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kamikawa.  If not, see <http://www.gnu.org/licenses/>.
 */
public class FrmAboutGame extends Activity {
	
	/**
	 * Implementa el evento OnClick del botn "Volver"
	 * Cambia de la actividad actual a la actividad "Men principal"
	 * @param view
	 */
	public void buttonBackOnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		//Creamos el Intent
        Intent intent = new Intent(FrmAboutGame.this, FrmMainMenu.class);

        //Iniciamos la nueva actividad
        startActivity(intent);	    			    	

				    	
	}
		
		  @Override
		    protected void onCreate(Bundle savedInstanceState) {
		        super.onCreate(savedInstanceState);
		        setContentView(R.layout.activity_frm_about_game);
		        
		        TextView txViewNameGame = (TextView)findViewById(R.id.txViewNameGame);
		        TextView txViewVersionGame = (TextView)findViewById(R.id.txViewVersionGame);
		        TextView txViewLicenseGame = (TextView)findViewById(R.id.txViewLicenseGame);
		        Button btnBack = (Button) findViewById(R.id.btnAboutGameBack);
		        
		        txViewNameGame.setTypeface(MyApplication.getTypeFont());
		        txViewVersionGame.setTypeface(MyApplication.getTypeFont());
		        txViewLicenseGame.setTypeface(MyApplication.getTypeFont());
		        btnBack.setTypeface(MyApplication.getTypeFont());

		       }
}
