package com.example.game;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

/**
 * Muestra los posibles niveles que pueden ser seleccionados, antes de iniciar la partida.
 * 
 * @author Antonio Javier Garrido Rodrguez
 * Copyright 2014 Antonio Javier Garrido Rodrguez
 * 
 *  This file is part of Kamikawa.

    Kamikawa is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Kamikawa is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kamikawa.  If not, see <http://www.gnu.org/licenses/>.
 */
public class FrmAvailableLevels extends Activity {
	
	
	private Button _btnLevel2;
	private Button _btnLevel3;
	private Button _btnLevel4;
	private Button _btnLevel5;
	private Button _btnLevel6;
	private Button _btnLevel7;
	private Button _btnLevel8;
	private Button _btnLevel9;
	private Button _btnLevel10;
	private Button _btnBack;
	private Button _btnIniciar;
	
	
	
	/**
	 * Metodo Onclick para el botn "Nivel 2". Inicia la partida en el nivel 2. 
	 * 
	 * @param v
	 */
	public void btnLevel2OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(2);
		
		startGame();   			    	
	}
	
	/**
	 * Metodo Onclick para el botn "Nivel 3". Inicia la partida en el nivel 3. 
	 * 
	 * @param v
	 */
	public void btnLevel3OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(3);
		
		startGame(); 			    	
	}
	
	/**
	 * Metodo Onclick para el botn "Nivel 4". Inicia la partida en el nivel 4. 
	 * 
	 * @param v
	 */
	public void btnLevel4OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(4);
		
		startGame();	    	
	}
	
	/**
	 * Metodo Onclick para el botn "Nivel 5". Inicia la partida en el nivel 5. 
	 * 
	 * @param v
	 */
	public void btnLevel5OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(5);
				
		startGame();   			    	
	}
	
	/**
	 * Metodo Onclick para el botn "Nivel 6". Inicia la partida en el nivel 6. 
	 * 
	 * @param v
	 */
	public void btnLevel6OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(6);
				
		startGame(); 			    	
	}
	
	/**
	 * Metodo Onclick para el botn "Nivel 7". Inicia la partida en el nivel 7. 
	 * 
	 * @param v
	 */
	public void btnLevel7OnClick(View v) 
	{ 
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(7);
		
		startGame();   			    	
	}
	
	/**
	 * Metodo Onclick para el botn "Nivel 8". Inicia la partida en el nivel 8. 
	 * 
	 * @param v
	 */
	public void btnLevel8OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(8);
		
		startGame(); 			    	
	}
	
	
	/**
	 * Metodo Onclick para el botn "Nivel 9". Inicia la partida en el nivel 9. 
	 * 
	 * @param v
	 */
	public void btnLevel9OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(9);
		
		startGame();	    	
	}
	
	/**
	 * Metodo Onclick para el botn "Nivel 10". Inicia la partida en el nivel 10. 
	 * 
	 * @param v
	 */
	public void btnLevel10OnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		MyApplication.setCurrentLevel(10);
		
		startGame();	    	
	}
	
	
	/**
	 * Implementa el evento OnClick del botn "Volver"
	 * Cambia de la actividad actual a la actividad "Men principal"
	 * @param view
	 */
	public void buttonBackOnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		//Creamos el Intent
		Intent intent = new Intent(FrmAvailableLevels.this, FrmMainMenu.class);

		//Iniciamos la nueva actividad
		startActivity(intent);	   
	}
	
	/**
	 * Metodo Onclick para el botn "Iniciar". Inicia la partida en el nivel 1. 
	 * 
	 * @param v
	 */
	public void buttonIniciarOnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
		//Cuando pulsamos este boton iniciamos en el nivel 1, indicarlo mediante codigo
		MyApplication.setCurrentLevel(1);
		
		startGame();	
	}

	/**
	 * Cambia de la actividad actual a la actividad que inicia la partida.
	 */
	private void startGame()
	{
    	//Creamos el Intent
        Intent intent = new Intent(FrmAvailableLevels.this, FrmStartGame.class);

        //Iniciamos la nueva actividad
        startActivity(intent);	   
	}

			
		
	@Override
	protected void onCreate(Bundle savedInstanceState) 
	{
    
		super.onCreate(savedInstanceState);
		//setContentView(R.layout.ventanajuego);
		setContentView(R.layout.activity_frm_available_levels);
		        
		//Obtengo las referencias a los controles de la interfaz:
		_btnLevel2 = (Button)findViewById(R.id.btnLevel2);
		_btnLevel2.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel2));
		_btnLevel3 = (Button)findViewById(R.id.btnLevel3);
		_btnLevel3.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel3));
		_btnLevel4 = (Button)findViewById(R.id.btnLevel4);
		_btnLevel4.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel4));
		_btnLevel5 = (Button)findViewById(R.id.btnLevel5);
		_btnLevel5.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel5));
		_btnLevel6 = (Button)findViewById(R.id.btnLevel6);
		_btnLevel6.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel6));
		_btnLevel7 = (Button)findViewById(R.id.btnLevel7);
		_btnLevel7.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel7));
		_btnLevel8 = (Button)findViewById(R.id.btnLevel8);
		_btnLevel8.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel8));
		_btnLevel9 = (Button)findViewById(R.id.btnLevel9);
		_btnLevel9.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel9));
		_btnLevel10 = (Button)findViewById(R.id.btnLevel10);
		_btnLevel10.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnLevel10));
		        
		_btnBack = (Button)findViewById(R.id.btnLevelsBack);
		_btnBack.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnBack));
		_btnIniciar = (Button)findViewById(R.id.btnLevelsIniciar);
		_btnIniciar.setOnTouchListener(new ButtonExpanderOnTouchListener(_btnIniciar));
		        
		 //La asigno el tipo de fuente
		 _btnLevel2.setTypeface(MyApplication.getTypeFont());
		 _btnLevel3.setTypeface(MyApplication.getTypeFont());
		 _btnLevel4.setTypeface(MyApplication.getTypeFont());
		 _btnLevel5.setTypeface(MyApplication.getTypeFont());
		 _btnLevel6.setTypeface(MyApplication.getTypeFont());
		 _btnLevel7.setTypeface(MyApplication.getTypeFont());		        
		 _btnLevel8.setTypeface(MyApplication.getTypeFont());
		 _btnLevel9.setTypeface(MyApplication.getTypeFont());
		 _btnLevel10.setTypeface(MyApplication.getTypeFont());
		 _btnBack.setTypeface(MyApplication.getTypeFont());
		 _btnIniciar.setTypeface(MyApplication.getTypeFont()); 
			    
		       	        
	}
		  
			
    /**
     * Obtiene el nmero de niveles abiertos y muestra los botones asociados a dichos niveles.
     *  
     */
    protected void onStart() {
        super.onStart();
        
		 //Obengo el nmero de niveles disponibles:
		 MyApplication.setLevelMaxAvailable(getMaxLevelAvailable());
		        
		 //Muestro el nmero de niveles disponibles
		 showAvailableLevels(MyApplication.getLevelMaxAvailable());
    }
	
	
	/**
	 * Lee de la memoria el nmero de niveles abiertos. Este dato lo persiste la aplicacin.
	 * 
	 * @return int. Devuelve el nmero de niveles abiertos.
	 */
	private int getMaxLevelAvailable()
	{
		int imaxLevelAvailable = 0;
				
		//Leo el mximo nivel abierto
		imaxLevelAvailable = MyApplication.getSharedPreferencesManager().readIntFromSharedPrefences("Levels");
				
		//Significa que an no se ha indicado ningn nivel superado, por lo tanto, estaremos en el nivel 1
		if(imaxLevelAvailable == -1)
		{
			imaxLevelAvailable = 1;
		}
				
		return imaxLevelAvailable;
	}
		  
	/**
	 * Muestra los botones asociados a los niveles abiertos.
	 * 
	 * @param iAvailableLevels nmero de niveles abiertos.
	 */
	private void showAvailableLevels(int iAvailableLevels)
	{
		switch(iAvailableLevels)
		{
	        case 1: _btnLevel2.setVisibility(Button.INVISIBLE);
			        _btnLevel3.setVisibility(Button.INVISIBLE);
			        _btnLevel4.setVisibility(Button.INVISIBLE);
			        _btnLevel5.setVisibility(Button.INVISIBLE);
			        _btnLevel6.setVisibility(Button.INVISIBLE);
			        _btnLevel7.setVisibility(Button.INVISIBLE);
			        _btnLevel8.setVisibility(Button.INVISIBLE);
			        _btnLevel9.setVisibility(Button.INVISIBLE);
			        _btnLevel10.setVisibility(Button.INVISIBLE);
	        		break;
	        		
	        case 2: 
	        		_btnLevel2.setVisibility(Button.VISIBLE);
	        		_btnLevel3.setVisibility(Button.INVISIBLE);
			        _btnLevel4.setVisibility(Button.INVISIBLE);
			        _btnLevel5.setVisibility(Button.INVISIBLE);
			        _btnLevel6.setVisibility(Button.INVISIBLE);
			        _btnLevel7.setVisibility(Button.INVISIBLE);
			        _btnLevel8.setVisibility(Button.INVISIBLE);
			        _btnLevel9.setVisibility(Button.INVISIBLE);
			        _btnLevel10.setVisibility(Button.INVISIBLE);
			        break;
			        
			case 3: 
        			_btnLevel2.setVisibility(Button.VISIBLE);
        			_btnLevel3.setVisibility(Button.VISIBLE);
					_btnLevel4.setVisibility(Button.INVISIBLE);
			        _btnLevel5.setVisibility(Button.INVISIBLE);
			        _btnLevel6.setVisibility(Button.INVISIBLE);
			        _btnLevel7.setVisibility(Button.INVISIBLE);
			        _btnLevel8.setVisibility(Button.INVISIBLE);
			        _btnLevel9.setVisibility(Button.INVISIBLE);
			        _btnLevel10.setVisibility(Button.INVISIBLE);
			        break;
			        
			case 4: 
        			_btnLevel2.setVisibility(Button.VISIBLE);
        			_btnLevel3.setVisibility(Button.VISIBLE);
        			_btnLevel4.setVisibility(Button.VISIBLE);
        			_btnLevel5.setVisibility(Button.INVISIBLE);
	        		_btnLevel6.setVisibility(Button.INVISIBLE);
	        		_btnLevel7.setVisibility(Button.INVISIBLE);
	        		_btnLevel8.setVisibility(Button.INVISIBLE);
	        		_btnLevel9.setVisibility(Button.INVISIBLE);
	        		_btnLevel10.setVisibility(Button.INVISIBLE);
	        		break;
			       
			case 5: 
    				_btnLevel2.setVisibility(Button.VISIBLE);
    				_btnLevel3.setVisibility(Button.VISIBLE);
    				_btnLevel4.setVisibility(Button.VISIBLE);
    				_btnLevel5.setVisibility(Button.VISIBLE);
					_btnLevel6.setVisibility(Button.INVISIBLE);
    				_btnLevel7.setVisibility(Button.INVISIBLE);
    				_btnLevel8.setVisibility(Button.INVISIBLE);
    				_btnLevel9.setVisibility(Button.INVISIBLE);
    				_btnLevel10.setVisibility(Button.INVISIBLE);
    				break;
    				
			case 6: 
					_btnLevel2.setVisibility(Button.VISIBLE);
					_btnLevel3.setVisibility(Button.VISIBLE);
					_btnLevel4.setVisibility(Button.VISIBLE);
					_btnLevel5.setVisibility(Button.VISIBLE);
					_btnLevel6.setVisibility(Button.VISIBLE);
					_btnLevel7.setVisibility(Button.INVISIBLE);
					_btnLevel8.setVisibility(Button.INVISIBLE);
					_btnLevel9.setVisibility(Button.INVISIBLE);
					_btnLevel10.setVisibility(Button.INVISIBLE);
					break;	
				
			case 7: 
				
					_btnLevel2.setVisibility(Button.VISIBLE);
					_btnLevel3.setVisibility(Button.VISIBLE);
					_btnLevel4.setVisibility(Button.VISIBLE);
					_btnLevel5.setVisibility(Button.VISIBLE);
					_btnLevel6.setVisibility(Button.VISIBLE);
					_btnLevel7.setVisibility(Button.VISIBLE);
					_btnLevel8.setVisibility(Button.INVISIBLE);
					_btnLevel9.setVisibility(Button.INVISIBLE);
					_btnLevel10.setVisibility(Button.INVISIBLE);
					break;
			
			
			case 8:
					_btnLevel2.setVisibility(Button.VISIBLE);
					_btnLevel3.setVisibility(Button.VISIBLE);
					_btnLevel4.setVisibility(Button.VISIBLE);
					_btnLevel5.setVisibility(Button.VISIBLE);
					_btnLevel6.setVisibility(Button.VISIBLE);
					_btnLevel7.setVisibility(Button.VISIBLE);
					_btnLevel8.setVisibility(Button.VISIBLE);
					_btnLevel9.setVisibility(Button.INVISIBLE);
					_btnLevel10.setVisibility(Button.INVISIBLE);
					break;
					
			case 9:
				
					_btnLevel2.setVisibility(Button.VISIBLE);
					_btnLevel3.setVisibility(Button.VISIBLE);
					_btnLevel4.setVisibility(Button.VISIBLE);
					_btnLevel5.setVisibility(Button.VISIBLE);
					_btnLevel6.setVisibility(Button.VISIBLE);
					_btnLevel7.setVisibility(Button.VISIBLE);
					_btnLevel8.setVisibility(Button.VISIBLE);
					_btnLevel9.setVisibility(Button.VISIBLE);
					_btnLevel10.setVisibility(Button.INVISIBLE);
					break;
					
					
			case 10:
					_btnLevel2.setVisibility(Button.VISIBLE);
					_btnLevel3.setVisibility(Button.VISIBLE);
					_btnLevel4.setVisibility(Button.VISIBLE);
					_btnLevel5.setVisibility(Button.VISIBLE);
					_btnLevel6.setVisibility(Button.VISIBLE);
					_btnLevel7.setVisibility(Button.VISIBLE);
					_btnLevel8.setVisibility(Button.VISIBLE);
					_btnLevel9.setVisibility(Button.VISIBLE);
					_btnLevel10.setVisibility(Button.VISIBLE);
					break;
					
				
			default: 
			        break;
		
		}
		
	}

}

