package com.example.game;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

/**
 * Muestra una descripcin sobre el juego y cmo jugar.
 * 
 * @author Antonio Javier Garrido Rodrguez
 * Copyright 2014 Antonio Javier Garrido Rodrguez
 * 
 *  This file is part of Kamikawa.

    Kamikawa is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Kamikawa is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Kamikawa.  If not, see <http://www.gnu.org/licenses/>.
 */
public class FrmHelp extends Activity {
	
	
	/**
	 * Implementa el evento OnClick del botn "Volver"
	 * Cambia de la actividad actual a la actividad "Men principal"
	 * @param view
	 */
	public void buttonBackOnClick(View v) 
	{   
        //Reproduzco sonido click
		MyApplication.getSoundManager().playSound(MyApplication.Sounds.Click);
		
    	//Creamos el Intent
        Intent intent = new Intent(FrmHelp.this, FrmMainMenu.class);

        //Iniciamos la nueva actividad
        startActivity(intent);	    			    	

				    	
	}
	
	  @Override
	    protected void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        setContentView(R.layout.activity_frm_help);
	        
	        
	        Button btnBack = (Button) findViewById(R.id.btnHelpBack);
	        btnBack.setTypeface(MyApplication.getTypeFont());
	        
	        //Obtengo la referencia al TextView que contiene la descripcin del juego
	        TextView txViewHelpDescription = (TextView) findViewById(R.id.txViewFrmHelp);
	        txViewHelpDescription.setTypeface(MyApplication.getTypeFont());
	        
	        //Le aado scroll al textView
	        txViewHelpDescription.setMovementMethod(new ScrollingMovementMethod());        

	    }
	  

}
